<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."countdown_panel/infusion_db.php";

if (file_exists(INFUSIONS."countdown_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."countdown_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."countdown_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['CDPAN_000'];
$inf_description = "Licznik we flashu";
$inf_version = "2.0";
$inf_developer = "Merklin, upgrade Pieka (v7)";
$inf_email = "viper1968nl@yahoo.com";
$inf_weburl = "http://www.lipperadar.de";

$inf_folder = "countdown_panel";

$inf_newtables = 1;
$inf_insertdbrows = 0;
$inf_altertables = 0;
$inf_deldbrows = 1;

$inf_newtable[1] = DB_COUNTDOWN." (
cd_year CHAR(8) NOT NULL default '',
cd_month CHAR(2) NOT NULL default '',
cd_day CHAR(2) NOT NULL default '',
cd_hour CHAR(2) NOT NULL default '',
cd_minute CHAR(2) NOT NULL default '',
cd_toptext VARCHAR(50) NOT NULL default '',
cd_lowtext VARCHAR(50) NOT NULL default '',
cd_color CHAR(8) NOT NULL default '',
	PRIMARY KEY  (cd_year)
) TYPE=MyISAM";

$inf_insertdbrow[1] = DB_COUNTDOWN." VALUES('2008', '12', '31', '23', '59', 'Tekst nad licznikiem', 'Tekst pod licznikiem', 'green')";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_COUNTDOWN;

$inf_adminpanel[1] = array(
	"title" => $locale['CDPAN_000'],
	"image" => "infusion_panel.gif",
	"panel" => "admin.php",
	"rights" => "CDPN"
);

?>
